For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at the same URL with .md appended (or via Accept: text/markdown).
Skip to main content

eth_getWork

Returns the hash of the current block, the seed hash, and the boundary condition to be met ("target"). This method uses 80 credits from your daily balance.

Parameters​

None.

Returns​

An array with the following properties:

  • Current block header PoW-hash (32 bytes).
  • The seed hash used for the DAG (32 bytes).
  • The boundary condition ("target") (32 bytes), 2^256 / difficulty.

Example​

Replace <YOUR-API-KEY> with an API key from your Infura dashboard.

Request​

curl https://polygon-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "method": "eth_getWork", "params": [], "id": 1}'

Response​

note

While Infura will allow this method, eth_getWork will not actually return mining work.

{
"jsonrpc": "2.0",
"id": 1,
"error": {
"code": -32000,
"message": "no mining work available yet"
}
}